aboutsummaryrefslogtreecommitdiffstats
path: root/main/lua-xml/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-12-23 07:53:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-23 07:54:28 +0000
commitf3edb5b25052efcd29b03de11d8391e00205f674 (patch)
tree570977941f7a8b7c46c9aa55264688fc01e799f9 /main/lua-xml/APKBUILD
parent36534066e67fbaeb7ffc3976e15a49fa23b4fe98 (diff)
downloadaports-f3edb5b25052efcd29b03de11d8391e00205f674.tar.gz
aports-f3edb5b25052efcd29b03de11d8391e00205f674.tar.bz2
aports-f3edb5b25052efcd29b03de11d8391e00205f674.tar.xz
main/lua-xml: upgrade to 130610 and fix lua 5.2 support
Diffstat (limited to 'main/lua-xml/APKBUILD')
-rw-r--r--main/lua-xml/APKBUILD61
1 files changed, 51 insertions, 10 deletions
diff --git a/main/lua-xml/APKBUILD b/main/lua-xml/APKBUILD
index c35de5d810..926d1c7fbc 100644
--- a/main/lua-xml/APKBUILD
+++ b/main/lua-xml/APKBUILD
@@ -1,35 +1,76 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_luaversions="5.1 5.2"
pkgname=lua-xml
_name=LuaXML
-pkgver=101012
+pkgver=130610
pkgrel=1
pkgdesc="a minimal set of functions for the processing of XML data in Lua"
url="http://viremo.eludi.net/LuaXML/index.html"
arch="all"
license="MIT"
depends=
-makedepends="lua-dev"
+makedepends=""
install=
subpackages=
+for _v in $_luaversions; do
+ depends="$depends lua$_v-xml"
+ makedepends="$makedepends lua$_v-dev"
+ subpackages="$subpackages lua$_v-xml:split_${_v/./_}"
+done
+
source="http://viremo.eludi.net/LuaXML/LuaXML_$pkgver.zip"
_builddir="$srcdir"
prepare() {
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+
+ for i in $_luaversions; do
+ mkdir $i
+ cp *.c Makefile *.lua $i/ || return 1
+ done
}
build() {
- cd "$_builddir"
- make || return 1
+ for i in $_luaversions; do
+ cd "$_builddir"/$i
+ make INCDIR="$CFLAGS $(pkg-config --cflags lua$i)" \
+ LIBS= \
+ || return 1
+ done
}
package() {
- cd "$_builddir"
- install -m755 -D LuaXML_lib.so "$pkgdir"/usr/lib/lua/5.1/LuaXML_lib.so\
- || return 1
- install -m755 -D LuaXml.lua "$pkgdir"/usr/share/lua/5.1/LuaXml.lua \
- || return 1
+ for i in $_luaversions; do
+ cd "$_builddir"/$i
+ install -m755 -D LuaXML_lib.so \
+ "$pkgdir"/usr/lib/lua/$i/LuaXML_lib.so || return 1
+ install -m755 -D LuaXml.lua \
+ "$pkgdir"/usr/share/lua/$i/LuaXml.lua || return 1
+ done
}
-md5sums="81c2f0c7c4238d3115e3c3e1ebc7d194 LuaXML_101012.zip"
+_split() {
+ local d= _ver=$1
+ pkgdesc="$pkgdesc for Lua $_ver"
+ depends=
+ for d in usr/lib/lua usr/share/lua; do
+ if [ -d "$pkgdir"/$d/$_ver ]; then
+ mkdir -p "$subpkgdir"/$d
+ mv "$pkgdir"/$d/$_ver "$subpkgdir"/$d/ || return 1
+ fi
+ done
+}
+
+for _v in $_luaversions; do
+ eval "split_${_v/./_}() { _split $_v; }"
+done
+
+md5sums="25e4c276c5d8716af1de0c7853aec2b4 LuaXML_130610.zip"
+sha256sums="f2c7475c9ff842d110cfcbc0d0859856b4df18baea3edb5b9379c41a92415e6e LuaXML_130610.zip"
+sha512sums="8f4ab1ba0b186ae8778ec7e2cdf5ebb403233ac9a551c6e476d0554bc27b0eb16a69a070c56747d59d6ee7aa53be70245d9be302ca69ea02226c3543b0ca654f LuaXML_130610.zip"